import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="knotctl",
    version="0.0.7",
    packages=setuptools.find_packages(),
    author="Micke Nordin",
    author_email="hej@mic.ke",
    description="A cli for knotapi.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://code.smolnet.org/micke/knotctl",
    project_urls={
        "Bug Tracker": "https://code.smolnet.org/micke/knotctl/issues",
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GPL-3.0",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.9",
    scripts=["scripts/knotctl"],
)
